Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.openorb.compiler.object
Class IdlArray

    java.lang.Object
      |
      +--org.openorb.compiler.object.IdlObject
            |
            +--org.openorb.compiler.object.IdlArray

All Implemented Interfaces:
  idlArray, idlObject, java.io.Serializable

public class IdlArray
extends IdlObject
implements idlArray

This class represents the IDL Array object

Version:
  $Revision: 1.4 $ $Date: 2002/08/21 08:19:21 $
Author:
  Jerome Daniel
See Also:
  Serialized Form

Field Summary
`int` | `dimension` Array size

Fields inherited from class org.openorb.compiler.object.IdlObject
`_case_sensitive, _comment, _current, _diese, _has_inheritance, _id, _import, _is_container, _list, _map, _name, _opaque, _prefix, _prefix_explicit, _type, _underscore, _upper, adaptName, idlPrefix`

Constructor Summary
`IdlArray(IdlObject father)` Creates an IDL Array object

Method Summary
`void` | `changePrefix(java.lang.String prefix)` Change prefix to my self but also to all contained objects
`java.util.Enumeration` | `content()` Return this idlObject content
`int[]` | `dimensions()` Return the array dimensions
`int` | `getDimension()` Returns the array size
`idlObject` | `internal()` Return the internal type
`void` | `setDimension(int dims)` Set the array size

Methods inherited from class org.openorb.compiler.object.IdlObject
`adaptName, addIdlObject, applyPrefix, attach_comment, attach_comment, contains, containsObject, current, end, filter, final_kind, final_object, getComment, getId, getIdComponents, getPrefix, getPrefixDepth, hasComment, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included, insertIdlObject, into, isDefined, isSame, isVisible, kind, length, myScope, name, name, nameToSequence, next, opaque, opaque, pos, pos, refreshIncluded, reset, returnInheritedObject, returnObject, returnVisibleObject, root, sameAs, search, searchObject, sensitive, setId, switchFinalObject, type, type, upper, use_diese, use_diese`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.openorb.compiler.idl.reflect.idlObject
`containsObject, filter, idlConcreteType, idlDefinedIn, idlFinalType, idlID, idlName, idlType, included`

Field Detail

### dimension

    public int dimension

  Array size

Constructor Detail

### IdlArray

    public IdlArray(IdlObject father)

  Creates an IDL Array object

Method Detail

### getDimension

    public int getDimension()

  Returns the array size
  Returns:
    the size

### setDimension

    public void setDimension(int dims)

  Set the array size
  Parameters:
    `dims` - the size

### changePrefix

    public void changePrefix(java.lang.String prefix)

  Change prefix to my self but also to all contained objects
  Overrides:
    `changePrefix` in class `IdlObject`

### dimensions

    public int[] dimensions()

  Description copied from interface: `idlArray`
  Return the array dimensions
  Specified by:
    `dimensions` in interface `idlArray`

### internal

    public idlObject internal()

  Description copied from interface: `idlArray`
  Return the internal type
  Specified by:
    `internal` in interface `idlArray`

### content

    public java.util.Enumeration content()

  Description copied from interface: `idlObject`
  Return this idlObject content
  Specified by:
    `content` in interface `idlObject`
  Overrides:
    `content` in class `IdlObject`

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD